#include <amxmodx>
#include <amxmisc>
#include "include/fake_queries.inc"

#define PLUGIN 	"FakePlayers RBS"
#define VERSION	"18.05.14"
#define AUTHOR 	"SKAJIbnEJIb"

new g_MaxPlayers;
new Float:g_FakePercent, g_FakeMinimum;
public plugin_init()
{
	register_plugin_version(PLUGIN, VERSION, AUTHOR);
	
	register_cvar("fake_percent", "30");
	register_cvar("fake_minimum", "2");
	
	new configsDir[64]; get_configsdir(configsDir, 63);
	server_cmd("exec %s/fakeplayers_rbs.cfg", configsDir);
	set_task(1.0, "LoadSettings");
}

public LoadSettings()
{
	g_MaxPlayers = get_maxplayers();
	g_FakePercent = get_cvar_float("fake_percent")/100.0;
	g_FakeMinimum = get_cvar_num("fake_minimum");
	
	update_queries();
}
public client_putinserver(id) { update_queries(); }
public client_disconnect(id) { update_queries(); }

public update_queries()
{
	new current = get_playersnum(1); // реально кол-во игроков
	new fake = current + floatround(float(current)*g_FakePercent); // +30%
	
	if (fake >= g_MaxPlayers)
	{
		fake=g_MaxPlayers; // нельзя больше 32-х
		if (current<g_MaxPlayers) { fake--; } // если реальных игроков меньше 32-х, то ставим 31 в fake
	}
	else if (fake < g_FakeMinimum)
	{
		fake=g_FakeMinimum; // минимум в поиске показывать например 2-х игроков
	}
	
	fq_set_players(fake); // ставим нужное кол-во игроков online
	fq_set_botsnum(0); // указываем что на серве нет ботов (чтобы на стиме четко отображались все игроки)
}



register_plugin_version(const plugin[], const version[], const author[])
{
	new plugin_name[64];
	#if (AMXX_VERSION_NUM < 183)
		formatex(plugin_name,63,"[182] %s", plugin);
	#else
		if (equal(AMXX_VERSION_TAG,"Re"))	{ formatex(plugin_name,63,"[ReAMX] %s", plugin); }
		else								{ formatex(plugin_name,63,"[183] %s", plugin); }
	#endif
	register_plugin(plugin_name, version, author);
}